/*
 * (c) Copyright 2003 Mauro Tortonesi - ALL RIGHTS RESERVED.
 * 
 * This file is part of the JavaBluetooth Stack.
 * 
 * The JavaBluetooth Stack is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * The JavaBluetooth Stack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */

package org.javabluetooth.stack.sco;

import javax.bluetooth.RemoteDevice;

public class BluezSCOConnectionFactory implements SCOConnectionFactory {
    public SCOConnection getSCOConnection(RemoteDevice remoteDevice) 
                                          throws SCOException {
        BluezSCOConnection conn = new BluezSCOConnection("hci0", remoteDevice);
        return (SCOConnection)conn; 
    }
    
    public SCOConnectionNotifier getSCOConnectionNotifier() throws SCOException {
        BluezSCOConnectionNotifier conn = new BluezSCOConnectionNotifier("hci0");
        return (SCOConnectionNotifier)conn; 
    }
}
/*
 * vim: et ts=4 sw=4
 */

